org.glassfish.jersey.server.spi

## Interface ResponseErrorMapper

    @Contract
     @ConstrainedTo(value=SERVER)
    public interface ResponseErrorMapper

Contract for a provider that maps response processing errors to `Response`.

Providers implementing `ResponseErrorMapper` contract must be either programmatically registered in a JAX-RS runtime or must be annotated with `@Provider` annotation to be automatically discovered by the JAX-RS runtime during a provider scanning phase.

`ServerProperties.PROCESSING_RESPONSE_ERRORS_ENABLED` property has to be enabled in order to use this contract.

Since:
  2.8
Author:
  Michal Gajdos
See Also:
  `Provider`, `Response`

### Method Summary

All Methods Instance Methods Abstract Methods
`jakarta.ws.rs.core.Response` `toResponse(Throwable throwable)`

### Method Detail

#### toResponse

    jakarta.ws.rs.core.Response toResponse(Throwable throwable)